Skip to main content
GET
aid_reports_configuration_get

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Response

All insight report configurations for the account

name
string
required

Custom name of the report. Will be shown in report listing and in the report filename

Maximum string length: 64
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

accountId
string<uuid>
read-only

An id that uniquely identifies the account

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client that created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

dataType
enum<string>

Service (source) and type of data used to create the report

Available options:
checkout/transactions,
checkout/transactions/open,
orders/orderoperations,
wallets/transactions
emails
string[]

Emails will receive auto-generated report (or link to report if the report is to large)